﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RadialMenu
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraRadialMenu2.Show(this, new Point(Bounds.Right, Bounds.Bottom));

        }
        
        private void ultraRadialMenu2_ToolClick(object sender, Infragistics.Win.UltraWinRadialMenu.RadialMenuToolClickEventArgs e)
        {
            if (e.Tool.Key == "Weather")
                System.Diagnostics.Process.Start("bingweather:");

            if (e.Tool.Key == "News")
                System.Diagnostics.Process.Start("bingnews:");

            if (e.Tool.Key == "Chrome")
                System.Diagnostics.Process.Start("http://goolge.com");

            if (e.Tool.Key == "Mozilla")
                System.Diagnostics.Process.Start("http://mozilla.com");

            if (e.Tool.Key == "Opera")
                System.Diagnostics.Process.Start("http://opera.com");

            if (e.Tool.Key == "Maps")
                System.Diagnostics.Process.Start("bingmaps:");

            if (e.Tool.Key == "MusicFolder")
            {
                Environment.SpecialFolder specialFolder = Environment.SpecialFolder.MyMusic;
                string path = Environment.GetFolderPath(specialFolder);
                System.Diagnostics.Process.Start(path);
            }

            if (e.Tool.Key == "Movies")
            {
                Environment.SpecialFolder specialFolder = Environment.SpecialFolder.MyVideos;
                string path = Environment.GetFolderPath(specialFolder);
                System.Diagnostics.Process.Start(path);
            }

            if (e.Tool.Key == "Photos")
            {
                Environment.SpecialFolder specialFolder = Environment.SpecialFolder.MyPictures;
                string path = Environment.GetFolderPath(specialFolder);
                System.Diagnostics.Process.Start(path);
            }

            if (e.Tool.Key == "Document")
            {
                Environment.SpecialFolder specialFolder = Environment.SpecialFolder.MyDocuments;
                string path = Environment.GetFolderPath(specialFolder);
                System.Diagnostics.Process.Start(path);
            }

            if (e.Tool.Key == "User")
            {
                Environment.SpecialFolder specialFolder = Environment.SpecialFolder.UserProfile;
                string path = Environment.GetFolderPath(specialFolder);
                System.Diagnostics.Process.Start(path);
            }

            if (e.Tool.Key == "Favorites")
            {
                Environment.SpecialFolder specialFolder = Environment.SpecialFolder.Favorites;
                string path = Environment.GetFolderPath(specialFolder);
                System.Diagnostics.Process.Start(path);
            }
            if (e.Tool.Key == "Music")
                System.Diagnostics.Process.Start("microsoftmusic:");

            if (e.Tool.Key == "Video")
                System.Diagnostics.Process.Start("microsoftvideo:");
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }
       
    }

}
